This method will auto-generate an ID and create a new registration type. If an ID is specified for the registration type, an error will be thrown.
The registration type that you would like to be saved.
If set, only certain people can register with this type
If set, then a valid coupon code for one of the specified coupons must be provided before someone can register as this type
If true, only contacts tied to exhibiting organizations are allowed to get this package
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
A number representing the version of this record in the database
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/registrationTypes/{tenantId}
- https://events.api.rhythmsoftware.comhttps://events.api.rhythmsoftware.com/registrationTypes/{tenantId}
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/registrationTypes/{tenantId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"category_id": "string",
"coupon_code_options": {
"automatically_add_coupon_to_order": true,
"coupon_ids": [
"string"
],
"prompt_text": "string"
},
"custom_field_values": [
{
"boolean_value": true,
"custom_field_id": "string",
"file_url_value": "string",
"list_value": [
"string"
],
"numeric_value": 0.1,
"string_value": "string",
"table_value": [
{}
]
}
],
"description": "string",
"display_order": 0.1,
"enable_restrictions": true,
"event_id": "string",
"exhibitor_options": {
"contact_type_ids": [
"string"
]
},
"id": "string",
"is_active": true,
"name": "string",
"process_id": "string",
"requires_coupon_code": true,
"restrict_to_exhibitors": true,
"restrict_to_guests": true,
"restrict_to_speakers": true,
"restrictions": {
"criteria": {
"advanced_rule_error_message": "string",
"advanced_rules": {},
"age_restrictions": {
"maximum_age": 0.1,
"minimum_age": 0.1
},
"award_options": {
"award_ids": [
"string"
],
"award_type_ids": [
"string"
],
"logic_operator": "and"
},
"award_recipients": true,
"by_location": true,
"certificants": true,
"certification_options": {
"logic_operator": "and",
"program_ids": [
"string"
]
},
"committee_member_options": {
"committee_ids": [
"string"
],
"committee_position_ids": [
"string"
],
"committee_type_ids": [
"string"
],
"logic_operator": "and"
},
"committee_members": true,
"custom_logic_options": {
"lambda_function_id": "string"
},
"customer_type": "contact",
"donor_options": {
"donor_club_ids": [
"string"
],
"logic_operator": "and"
},
"donors": true,
"enable_advanced_rules": true,
"enable_age_restrictions": true,
"enable_custom_logic": true,
"enable_entitlement_restrictions": true,
"enable_expression": true,
"enable_organization_restrictions": true,
"enable_status_restriction": true,
"entitlement_restrictions": [
{
"quantity": 0.1,
"type_id": "string"
}
],
"event_registration_options": {
"event_ids": [
"string"
],
"logic_operator": "and",
"registration_category_ids": [
"string"
]
},
"event_registrations": true,
"expression": "string",
"expression_error_message": "string",
"location": {
"countries": [
"string"
],
"negate_logic": true
},
"logic_operator": "and",
"member_options": {
"chapter_member_options": {
"chapter_ids": [
"string"
],
"chapter_type_ids": [
"string"
],
"logic_operator": "and"
},
"chapter_members": true,
"member_package_ids": [
"string"
],
"member_status_reason_ids": [
"string"
],
"member_statuses": [
"active"
],
"member_type_ids": [
"string"
],
"section_member_options": {
"logic_operator": "and",
"section_ids": [
"string"
],
"section_type_ids": [
"string"
]
},
"section_members": true
},
"members": true,
"non_members": true,
"organization_restrictions": {
"contact_role_ids": [
"string"
],
"organization_type_ids": [
"string"
]
},
"status_restrictions": [
"string"
],
"use_organization_for_eligibility": true
}
},
"selectable_in_portal": true,
"sys_bulk_load_at": "string",
"sys_bulk_load_id": "string",
"sys_bulk_load_pk": "string",
"sys_bulk_load_record_no": 0.1,
"sys_bulk_load_source_file": "string",
"sys_calculated_field_error": "string",
"sys_calculated_field_errors": [
{
"error": "string",
"field": "string"
}
],
"sys_configuration_snapshot_id": "string",
"sys_created_at": "2019-08-24T14:15:22Z",
"sys_created_by_id": "string",
"sys_deleted_by_id": "string",
"sys_directive": "string",
"sys_external_id": "string",
"sys_has_files_in_s3": true,
"sys_last_bulk_data_operation_id": "string",
"sys_last_bulk_data_operation_sys_version": "string",
"sys_last_modified_at": "2019-08-24T14:15:22Z",
"sys_last_modified_by_id": "string",
"sys_last_security_context": {},
"sys_locked": true,
"sys_snapshot_base_version": 0.1,
"sys_version": 0.1,
"type": "exhibitor"
}'The registration type was saved successfully.
If set, only certain people can register with this type
If set, then a valid coupon code for one of the specified coupons must be provided before someone can register as this type
If true, only contacts tied to exhibiting organizations are allowed to get this package
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
A number representing the version of this record in the database
{ "category_id": "string", "coupon_code_options": { "automatically_add_coupon_to_order": true, "coupon_ids": [ … ], "prompt_text": "string" }, "custom_field_values": [ { … } ], "description": "string", "display_order": 0.1, "enable_restrictions": true, "event_id": "string", "exhibitor_options": { "contact_type_ids": [ … ] }, "id": "string", "is_active": true, "name": "string", "process_id": "string", "requires_coupon_code": true, "restrict_to_exhibitors": true, "restrict_to_guests": true, "restrict_to_speakers": true, "restrictions": { "criteria": { … } }, "selectable_in_portal": true, "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "type": "exhibitor" }